Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(47)

Issue 2018983004: Mojo interface for Leak Detector on remote process (Closed)

Created:
4 years, 8 months ago by Simon Que
Modified:
4 years, 8 months ago
CC:
chromium-reviews, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, asvitkine+watch_chromium.org, darin (slow to review), ben+mojo_chromium.org, bccheng, Will Harris
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Mojo interface for Leak Detector on remote process This interface allows an instance of the Runtime Memory Leak Detector (components/metrics/leak_detector) to run on a non-browser process, such as a tab (renderer) process. The interface provides two function APIs: - GetParams(): Returns the profiling parameters used for initializing LeakDetector. - SendLeakReports(): Passes an array of leak reports in serialized proto format (strings) to the browser process, where they can be attached to the UMA protobuf. BUG=chromium:615223 TEST=Build successfully R=asvitkine@chromium.org Committed: https://crrev.com/51e4f33eae448bae4c95fde5a8f16d6d2e6e6960 Cr-Commit-Position: refs/heads/master@{#396780}

Patch Set 1 #

Patch Set 2 : Fix conditional mojom source module declaration #

Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -5 lines) Patch
M components/metrics.gypi View 1 chunk +10 lines, -0 lines 0 comments Download
M components/metrics/BUILD.gn View 1 2 chunks +10 lines, -0 lines 0 comments Download
A + components/metrics/leak_detector/leak_detector_remote.mojom View 1 chunk +4 lines, -5 lines 0 comments Download

Messages

Total messages: 13 (5 generated)
Simon Que
4 years, 8 months ago (2016-05-27 23:24:16 UTC) #1
Alexei Svitkine (slow)
lgtm
4 years, 8 months ago (2016-05-30 14:57:07 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2018983004/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2018983004/1
4 years, 8 months ago (2016-05-31 02:00:32 UTC) #4
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_compile_dbg_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_compile_dbg_ng/builds/102221) ios-device-gn on tryserver.chromium.mac (JOB_FAILED, ...
4 years, 8 months ago (2016-05-31 02:03:36 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2018983004/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2018983004/20001
4 years, 8 months ago (2016-05-31 02:56:55 UTC) #9
commit-bot: I haz the power
Committed patchset #2 (id:20001)
4 years, 8 months ago (2016-05-31 04:09:20 UTC) #10
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/51e4f33eae448bae4c95fde5a8f16d6d2e6e6960 Cr-Commit-Position: refs/heads/master@{#396780}
4 years, 8 months ago (2016-05-31 04:10:56 UTC) #12
Simon Que
4 years, 7 months ago (2016-06-10 21:51:53 UTC) #13
Message was sent while issue was closed.
A revert of this CL (patchset #2 id:20001) has been created in
https://codereview.chromium.org/2055393002/ by sque@chromium.org.

The reason for reverting is: Need to re-submit mojom interface and
implementation in single CL, and get security review from IPC owners..

Powered by Google App Engine
This is Rietveld 408576698